## Sid Meier's Civilization 4
## Copyright Firaxis Games 2005
##
## Additional Functions added by Alex Mullins
##

from CvPythonExtensions import *
import CvUtil
import PyHelpers
from PlagueUtils import *

gc = CyGlobalContext()
PyGame = PyHelpers.PyGame
PyPlayer = PyHelpers.PyPlayer

class Plague:
	def onBeginGameTurn(self, argsList):
		iGameTurn = argsList[0]
		playerList = PyGame().getCivPlayerList()
		for pPlayer in playerList:
			
			# loop through each city to determine if a plague should start there
			#if (CanStartPlague()):
			for pPlayerCity in pPlayer.getCityList():
				UpdatePlagues(pPlayerCity)
			# end for
			## end if
			
			# loop through each city to test for spreading of plagues
			for pPlayerCity in pPlayer.getCityList():
				SpreadPlagues(pPlayerCity)
			# end for
			
			# loop through each of the players units and update it's plagues
			for pUnit in pPlayer.getUnitList():
				UpdateUnitPlagues(pUnit)
			# end for
		# end for